Skip to main content

URL structure

Supported methods and overview

Detailed description

This API endpoint verifies the connection to an LDAP user directory. With this request, a core subset of LDAP connection parameters must be submitted, which includes the:
  • address of the server running LDAP (along with the connection timeout duration),
  • LDAP user directory’s manager credentials (to perform LDAP authentication and synchronization),
  • root node in LDAP from which the Covata Platform finds users and groups and
  • LDAP field against which the Covata Platform matches the email address of a Covata user when they authenticate.

Supported roles

This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide): The Covata Platform’s resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
    where the Bearer token is the appropriate access token.
  • Content-Type: application/json

Required parameters

The following required parameters must be sent in the body of the POST request, each as individual members of a JSON object:
  • authFilter - .
  • baseDN - .
  • managerDN - .
  • managerPassword - .
  • serverTimeout - .
  • serverUrl - . Example ():

Returns

If the request succeeded, then an HTTP response status 200 OK is returned.